---
schema-version: '1.1'
name: OpenSearch Dashboards
version: 3.2.0
platform: windows
architecture: x64
distribution: zip
id: '8590'
rc: '6'
test-run:
  Command: ./test.sh integ-test manifests/3.2.0/opensearch-dashboards-3.2.0-test.yml
    --paths opensearch=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/3.2.0/11330/windows/x64/zip
    opensearch-dashboards=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch-dashboards/3.2.0/8590/windows/x64/zip
  TestType: integ-test
  TestManifest: manifests/3.2.0/opensearch-dashboards-3.2.0-test.yml
  DistributionManifest: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch-dashboards/3.2.0/8590/windows/x64/zip/dist/opensearch-dashboards/manifest.yml
  TestID: '7721'
components:
  - name: anomalyDetectionDashboards
    command: ./test.sh integ-test manifests/3.2.0/opensearch-dashboards-3.2.0-test.yml
      --paths opensearch=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/3.2.0/11330/windows/x64/zip
      opensearch-dashboards=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch-dashboards/3.2.0/8590/windows/x64/zip
      --component anomalyDetectionDashboards
    repository: https://github.com/opensearch-project/anomaly-detection-dashboards-plugin.git
    configs:
      - name: with-security
        status: Not Available
        yml: URL not available
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/3.2.0/8590/windows/x64/zip/test-results/7721/integ-test/anomalyDetectionDashboards/with-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/3.2.0/8590/windows/x64/zip/test-results/7721/integ-test/anomalyDetectionDashboards/with-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/3.2.0/8590/windows/x64/zip/test-results/7721/integ-test/anomalyDetectionDashboards/with-security/local-cluster-logs/id-0/stdout.txt
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/3.2.0/8590/windows/x64/zip/test-results/7721/integ-test/anomalyDetectionDashboards/with-security/local-cluster-logs/id-1/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/3.2.0/8590/windows/x64/zip/test-results/7721/integ-test/anomalyDetectionDashboards/with-security/local-cluster-logs/id-0/stderr.txt
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/3.2.0/8590/windows/x64/zip/test-results/7721/integ-test/anomalyDetectionDashboards/with-security/local-cluster-logs/id-1/stderr.txt
        failed_test:
          - Test Result Not Available
      - name: without-security
        status: Not Available
        yml: URL not available
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/3.2.0/8590/windows/x64/zip/test-results/7721/integ-test/anomalyDetectionDashboards/without-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/3.2.0/8590/windows/x64/zip/test-results/7721/integ-test/anomalyDetectionDashboards/without-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/3.2.0/8590/windows/x64/zip/test-results/7721/integ-test/anomalyDetectionDashboards/without-security/local-cluster-logs/id-2/stdout.txt
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/3.2.0/8590/windows/x64/zip/test-results/7721/integ-test/anomalyDetectionDashboards/without-security/local-cluster-logs/id-3/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/3.2.0/8590/windows/x64/zip/test-results/7721/integ-test/anomalyDetectionDashboards/without-security/local-cluster-logs/id-2/stderr.txt
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/3.2.0/8590/windows/x64/zip/test-results/7721/integ-test/anomalyDetectionDashboards/without-security/local-cluster-logs/id-3/stderr.txt
        failed_test:
          - Test Result Not Available
  - name: indexManagementDashboards
    command: ./test.sh integ-test manifests/3.2.0/opensearch-dashboards-3.2.0-test.yml
      --paths opensearch=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/3.2.0/11330/windows/x64/zip
      opensearch-dashboards=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch-dashboards/3.2.0/8590/windows/x64/zip
      --component indexManagementDashboards
    repository: https://github.com/opensearch-project/index-management-dashboards-plugin.git
    configs:
      - name: with-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/3.2.0/8590/windows/x64/zip/test-results/7721/integ-test/indexManagementDashboards/with-security/indexManagementDashboards.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/3.2.0/8590/windows/x64/zip/test-results/7721/integ-test/indexManagementDashboards/with-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/3.2.0/8590/windows/x64/zip/test-results/7721/integ-test/indexManagementDashboards/with-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/3.2.0/8590/windows/x64/zip/test-results/7721/integ-test/indexManagementDashboards/with-security/local-cluster-logs/id-0/stdout.txt
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/3.2.0/8590/windows/x64/zip/test-results/7721/integ-test/indexManagementDashboards/with-security/local-cluster-logs/id-1/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/3.2.0/8590/windows/x64/zip/test-results/7721/integ-test/indexManagementDashboards/with-security/local-cluster-logs/id-0/stderr.txt
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/3.2.0/8590/windows/x64/zip/test-results/7721/integ-test/indexManagementDashboards/with-security/local-cluster-logs/id-1/stderr.txt
        failed_test:
          - No Failed Test
      - name: without-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/3.2.0/8590/windows/x64/zip/test-results/7721/integ-test/indexManagementDashboards/without-security/indexManagementDashboards.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/3.2.0/8590/windows/x64/zip/test-results/7721/integ-test/indexManagementDashboards/without-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/3.2.0/8590/windows/x64/zip/test-results/7721/integ-test/indexManagementDashboards/without-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/3.2.0/8590/windows/x64/zip/test-results/7721/integ-test/indexManagementDashboards/without-security/local-cluster-logs/id-2/stdout.txt
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/3.2.0/8590/windows/x64/zip/test-results/7721/integ-test/indexManagementDashboards/without-security/local-cluster-logs/id-3/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/3.2.0/8590/windows/x64/zip/test-results/7721/integ-test/indexManagementDashboards/without-security/local-cluster-logs/id-2/stderr.txt
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/3.2.0/8590/windows/x64/zip/test-results/7721/integ-test/indexManagementDashboards/without-security/local-cluster-logs/id-3/stderr.txt
        failed_test:
          - No Failed Test
